//-----------Top Path-----------
function main_PathTcpModule_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new TcpModuleSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_RegisterModule_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathRegisterModule_click(this)");
	Class = new LoadHtml();
	var Html = Class.GetVariableTranslationHtml(Global_RegisterModuleCss);
	Html = Html + Class.GetVariableTranslationHtml(Global_RegisterModuleFirstPageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_RegisterModuleSecondPageHtml);
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new RegisterModuleFirstPage();
	Class.Initialization();
	Class = null;
}
function main_RegisterModuleAddNewRow_click(that)
{
	var Class = new RegisterModuleFirstPage();
	Class.ModuleAddNewRow(that);
	Class = null;
}
function main_RegisterModuleChangeAllCheckbox_click(that)
{
	var DataModelId = $(that).closest(".Table").attr("id");
	var Bool = $(that).closest(".Row").find(":checkbox").prop("checked");
	$("#"+DataModelId).find(".DynamicRow").find(":checkbox").prop("checked",Bool);
}
function main_RegisterModuleCopyDialogEnabled_click(that, Event)
{
	var Class = new RegisterModuleFirstPage();
	if(Class.IsTickedModule() == false)
	{
		$(that).closest(".Column").find(".Message").eq(0).show();
		return 0;
	}
	$(that).closest(".Column").find(".Message").eq(0).hide();
	Class.CopyDialogEnabled(Event);
	Class = null;
}
function main_RegisterModuleCopyModule_click()
{
	$(".Dialog").find(".Message").show();
	var Class = new RegisterModuleFirstPage();
	Class.CopyModule();
	Class = null;
}
function main_RegisterModuleDeleteModule_click(that)
{
	var Class = new RegisterModuleFirstPage();
	if(Class.IsTickedModule() == false)
	{
		$(that).closest(".Column").find(".Message").eq(0).show();
		return 0;
	}
	$(that).closest(".Column").find(".Message").eq(0).hide();
	Class.DeleteModule();
	Class = null;
}
function main_RegisterModuleClearDialogEnabled_click(Event)
{
	var Class = new RegisterModuleFirstPage();
	Class.ClearDialogEnabled(Event);
	Class = null;
}
function main_RegisterModuleClearAllModule_click(that)
{
	var Class = new RegisterModuleFirstPage();
	Class.ClearAllModule(that);
	Class = null;
}
function main_RegisterModuleCopyDialogDisabled_click()
{
	var Class = new RegisterModuleFirstPage();
	Class.CopyDialogDisabled();
	Class = null;
}
function main_RegisterModuleClearDialogDisabled_click()
{
	var Class = new RegisterModuleFirstPage();
	Class.ClearDialogDisabled();
	Class = null;
}
function main_RegisterModuleShowPreviousPage_click()
{
	var Class = new RegisterModuleFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_RegisterModuleShowNextPage_click()
{
	var Class = new RegisterModuleFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_RegisterModuleSettingButton_click(that)
{
	var Class = new RegisterModuleFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_RegisterModuleSaveButton_click(that)
{
	var Class = new RegisterModuleFirstPage();
	Class.SaveButton(that);
	Class = null;
}





// Second 
function main_RegisterModuleAddTable_click(that)
{
	var Class = new RegisterModuleSecondPage();
	Class.ProduceTable(that);
	Class = null;
}
function main_RegisterModuleNoConfirmButton_click()
{
	var Class = new RegisterModuleSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_RegisterModuleConfirmButton_click(that)
{
	var Class = new RegisterModuleSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_RegisterModuleDeleteButton_click(that)
{
	var Class = new RegisterModuleSecondPage();
	Class.DeleteButton(that);
	Class = null;
}
function main_RegisterModuleDeleteTableButton_click(Event)
{
	var Class = new RegisterModuleSecondPage();
	Class.DeleteTableButton(Event);
	Class = null;
}